Page MenuHomePhabricator

[epic] Port our CiviCRM customizations to 4.6 upstream, and to extensions
Closed, ResolvedPublic

Description

Decide the disposition of each of the 31 patches in civicrm/patches/civicrm-4.2.19-drupal-wmf-*.

Check whether the feature has been implemented upstream.

Decide whether to port or abandon the feature.

Upstream as a CiviCRM extension if possible, or upstream in JIRA tickets. Many of our patches already have tickets, @awight will search for those and list them here.

Details

Related Gerrit Patches:
wikimedia/fundraising/crm : masterCreate campaign option group
wikimedia/fundraising/crm : civi-4.6.9Remove custom quicksearch hook
wikimedia/fundraising/crm/civicrm : civi-4.6.9CRM-14232 default not filling for contact preferred language
wikimedia/fundraising/crm/civicrm : civi-4.6.9CIvi46 Update to latest 4.6.9 version
wikimedia/fundraising/crm : civi-4.6.9Civi46 Update report urls to open as criteria
wikimedia/fundraising/crm : masterCivi46 Update report urls to open as criteria
wikimedia/fundraising/crm : civi-4.6.9Campaign option values must exist
wikimedia/fundraising/crm : civi-4.6.9Create campaign option group
wikimedia/fundraising/crm : civi-4.6.9Create campaign option group
wikimedia/fundraising/crm : masterCreate campaign option group
wikimedia/fundraising/crm : civi-4.6.9Create campaign option group
wikimedia/fundraising/crm : masterCreate campaign option group
wikimedia/fundraising/crm : civi-4.6.9Create campaign option group

Event Timeline

awight renamed this task from Port our CiviCRM customizations to 4.4 upstream, and to extensions to [epic] Port our CiviCRM customizations to 4.4 upstream, and to extensions.Jun 26 2015, 7:29 PM
awight added a project: Epic.
awight set Security to None.
awight updated the task description. (Show Details)Jun 26 2015, 7:33 PM

I've set up the wmf-tarball locally. I hit enotices on 2 of the patches & have upstreamed them a bit amended:

https://issues.civicrm.org/jira/browse/CRM-17144

This adds the report sql to the view - the change is that it uses a tab rather than an accordian - which seems a bit more like the 4.6 viewing way

https://issues.civicrm.org/jira/browse/CRM-14232

This one makes preferred language nullable.

Both of these require an action on upgrade - the are

  1. give appropriate users the drupal 'view report sql' permission
  2. add the setting for the language - this can be added to civicrm.settings.php as follows

global $civicm_setting;
$civicrm_setting['Localization Preferences']['contact_default_language'] = 'undefined';

We can add it well in advance of the upgrade if we wish, or add drush cvapi setting.create contact_default_language=undefined
to the upgrade script

Change 243041 had a related patch set uploaded (by Awight):
Create campaign option group

https://gerrit.wikimedia.org/r/243041

Change 243046 had a related patch set uploaded (by Eileen):
Create campaign option group

https://gerrit.wikimedia.org/r/243046

Change 243052 had a related patch set uploaded (by Awight):
Create campaign option group

https://gerrit.wikimedia.org/r/243052

Change 243053 had a related patch set uploaded (by Awight):
Create campaign option group

https://gerrit.wikimedia.org/r/243053

Change 243053 abandoned by Awight:
Create campaign option group

Reason:
wrong branch

https://gerrit.wikimedia.org/r/243053

Change 243052 abandoned by Awight:
Create campaign option group

Reason:
wrong branch

https://gerrit.wikimedia.org/r/243052

Change 243041 abandoned by Awight:
Create campaign option group

https://gerrit.wikimedia.org/r/243041

Change 243074 had a related patch set uploaded (by Awight):
Create campaign option group

https://gerrit.wikimedia.org/r/243074

Change 243076 had a related patch set uploaded (by Eileen):
Create campaign option group

https://gerrit.wikimedia.org/r/243076

Change 243076 abandoned by Eileen:
Create campaign option group

Reason:
wrong branch

https://gerrit.wikimedia.org/r/243076

Change 243077 had a related patch set uploaded (by Eileen):
Create campaign option group

https://gerrit.wikimedia.org/r/243077

Change 243074 abandoned by Awight:
Create campaign option group

https://gerrit.wikimedia.org/r/243074

Change 243046 abandoned by Awight:
Create campaign option group

https://gerrit.wikimedia.org/r/243046

Change 243088 had a related patch set uploaded (by Awight):
Create campaign option group

https://gerrit.wikimedia.org/r/243088

awight renamed this task from [epic] Port our CiviCRM customizations to 4.4 upstream, and to extensions to [epic] Port our CiviCRM customizations to 4.6 upstream, and to extensions.Oct 2 2015, 9:00 AM

Change 243077 merged by Eileen:
Campaign option values must exist

https://gerrit.wikimedia.org/r/243077

Change 244631 had a related patch set uploaded (by Eileen):
CIvi46 Update to latest 4.6.9 version

https://gerrit.wikimedia.org/r/244631

Change 244631 merged by jenkins-bot:
CIvi46 Update to latest 4.6.9 version

https://gerrit.wikimedia.org/r/244631

Change 246450 had a related patch set uploaded (by Eileen):
Remove custom quicksearch hook

https://gerrit.wikimedia.org/r/246450

Change 246450 merged by jenkins-bot:
Remove custom quicksearch hook

https://gerrit.wikimedia.org/r/246450

Eileenmcnaughton closed this task as Resolved.Nov 6 2015, 6:59 PM

Change 243088 abandoned by Awight:
Create campaign option group

Reason:
Deprecated by the migration in wmf_civicrm, woohoo!

https://gerrit.wikimedia.org/r/243088